Package Details: adwm-git 0.7.9.r0.g6afb774-1

Git Clone URL: https://aur.archlinux.org/adwm-git.git (read-only)
Package Base: adwm-git
Description: Advanced dynamic window manager for X
Upstream URL: http://github.com/bbidulock/adwm
Keywords: dynamic floating tiling windowmanager X11
Licenses: GPL
Conflicts: adwm
Provides: adwm=0.7.9-1
Submitter: bidulock
Maintainer: bidulock
Last Packager: bidulock
Votes: 2
Popularity: 0.000647
First Submitted: 2014-07-02 07:59
Last Updated: 2019-10-04 03:44

Dependencies (15)

Required by (0)

Sources (1)

Latest Comments

bidulock commented on 2019-10-04 03:55

It think I fixed that finally. Check this 0.7.9 release.

milk commented on 2019-10-02 13:46

The build fails at the moment. For anyone seeking a fix, see https://github.com/bbidulock/adwm/issues/7

bidulock commented on 2014-09-28 20:52

It's a makedepends then. I wonder if the header file is actually required...

metak commented on 2014-09-28 20:46

I was building this package in OBS and it failed without it.

https://build.opensuse.org/package/show/home:metakcahura/adwm-git

make[2]: Entering directory '/usr/src/packages/BUILD/adwm-git/src/adwm-git-0.5.2.20140921.4895a76/src'
[ 113s] CC adwm_adwm.lo
[ 113s] In file included from adwm_adwm.c:23:0:
[ 113s] adwm.h:13:36: fatal error: X11/extensions/XInput2.h: No such file or directory
[ 113s] #include <X11/extensions/XInput2.h>

After I add it to depends it builds fine.

bidulock commented on 2014-09-28 20:39

namcap doesn't show any dependencies on libxi: why do you mention it?

metak commented on 2014-09-28 19:46

Hey! It seems that you're missing 'libxfixes' and 'libxi' in depends?
Also, you could add provides/conflicts with 'adwm'. Cheers. ;-)